Package io.vertx.ext.unit.report

## Interface Reporter<R>

- Type Parameters:
    `R` - the report generic type

      public interface Reporter<R>

  The reporter defines a set of callback for the life cycle events.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReporterFactory` | `factory` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reportBeginTestCase​(R report, String name)` | Signals a test case began.
    `R` | `reportBeginTestSuite​(String name)` | Signals the test suite began.
    `void` | `reportEndTestCase​(R report, String name, TestResult result)` | Signals a test case ended.
    `void` | `reportEndTestSuite​(R report)` | Signals a test suite ended.
    `static Reporter<?>` | `reporter​(Vertx vertx, ReportOptions options)` |
    `void` | `reportError​(R report, Throwable err)` | Report a global test suite error, it can be called mulitple times between the `reportBeginTestSuite(java.lang.String)` and the `reportEndTestSuite(R)`.

- - ### Field Detail

    - #### factory

          static final ReporterFactory factory

  - ### Method Detail

    - #### reporter

          static Reporter<?> reporter​(Vertx vertx,
                                      ReportOptions options)

    - #### reportBeginTestSuite

          R reportBeginTestSuite​(String name)

      Signals the test suite began.
      Parameters:
        `name` - the test suite name
      Returns:
        the report object

    - #### reportBeginTestCase

          void reportBeginTestCase​(R report,
                                   String name)

      Signals a test case began.
      Parameters:
        `report` - the report
        `name` - the test case name

    - #### reportEndTestCase

          void reportEndTestCase​(R report,
                                 String name,
                                 TestResult result)

      Signals a test case ended.
      Parameters:
        `report` - the report
        `name` - the test case name
        `result` - the test case result

    - #### reportError

          void reportError​(R report,
                           Throwable err)

      Report a global test suite error, it can be called mulitple times between the `reportBeginTestSuite(java.lang.String)` and the `reportEndTestSuite(R)`.
      Parameters:
        `report` - the report
        `err` - the test suite error

    - #### reportEndTestSuite

          void reportEndTestSuite​(R report)

      Signals a test suite ended.
      Parameters:
        `report` - the report